// generated by Fast Light User Interface Designer (fluid) version 1.0110

#ifndef GeodesicActiveContourGUI_h
#define GeodesicActiveContourGUI_h
#include <FL/Fl.H>
#include <FL/Fl_Double_Window.H>
#include <GeodesicActiveContourBase.h>
#include <fltkLightButton.h>
#include <FL/Fl_Group.H>
#include <FL/Fl_Box.H>
#include <FL/Fl_Button.H>
#include <FL/Fl_Value_Input.H>
#include <fltkProgressBar.h>
#include <FL/Fl_Output.H>

class GeodesicActiveContourGUI : public GeodesicActiveContourBase {
public:
  GeodesicActiveContourGUI();
  Fl_Double_Window *consoleWindow;
  Fl_Group *Connectors;
  Fl_Group *controlsGroup;
  fltk::LightButton *inputImageButton;
private:
  void cb_inputImageButton_i(fltk::LightButton*, void*);
  static void cb_inputImageButton(fltk::LightButton*, void*);
  void cb_Geodesic_i(Fl_Button*, void*);
  static void cb_Geodesic(Fl_Button*, void*);
public:
  fltk::LightButton *thresholdedImageButton;
private:
  void cb_thresholdedImageButton_i(fltk::LightButton*, void*);
  static void cb_thresholdedImageButton(fltk::LightButton*, void*);
public:
  fltk::LightButton *thresholdedImageVTKButton;
private:
  void cb_thresholdedImageVTKButton_i(fltk::LightButton*, void*);
  static void cb_thresholdedImageVTKButton(fltk::LightButton*, void*);
  void cb_Threshold_i(Fl_Button*, void*);
  static void cb_Threshold(Fl_Button*, void*);
public:
  fltk::LightButton *outputLevelSetButton;
private:
  void cb_outputLevelSetButton_i(fltk::LightButton*, void*);
  static void cb_outputLevelSetButton(fltk::LightButton*, void*);
  void cb_Gradient_i(Fl_Button*, void*);
  static void cb_Gradient(Fl_Button*, void*);
public:
  fltk::LightButton *gradientMagnitudeButton;
private:
  void cb_gradientMagnitudeButton_i(fltk::LightButton*, void*);
  static void cb_gradientMagnitudeButton(fltk::LightButton*, void*);
  void cb_Linear_i(Fl_Button*, void*);
  static void cb_Linear(Fl_Button*, void*);
public:
  fltk::LightButton *edgePotentialButton;
private:
  void cb_edgePotentialButton_i(fltk::LightButton*, void*);
  static void cb_edgePotentialButton(fltk::LightButton*, void*);
public:
  Fl_Value_Input *sigmaValueInput;
private:
  void cb_sigmaValueInput_i(Fl_Value_Input*, void*);
  static void cb_sigmaValueInput(Fl_Value_Input*, void*);
public:
  Fl_Value_Input *zeroSetValueInput;
private:
  void cb_zeroSetValueInput_i(Fl_Value_Input*, void*);
  static void cb_zeroSetValueInput(Fl_Value_Input*, void*);
  void cb_Clear_i(Fl_Button*, void*);
  static void cb_Clear(Fl_Button*, void*);
  void cb_Fast_i(Fl_Button*, void*);
  static void cb_Fast(Fl_Button*, void*);
public:
  fltk::LightButton *fastMarchingResultButton;
private:
  void cb_fastMarchingResultButton_i(fltk::LightButton*, void*);
  static void cb_fastMarchingResultButton(fltk::LightButton*, void*);
public:
  Fl_Value_Input *sigmoidBetaValueInput;
private:
  void cb_sigmoidBetaValueInput_i(Fl_Value_Input*, void*);
  static void cb_sigmoidBetaValueInput(Fl_Value_Input*, void*);
public:
  Fl_Value_Input *sigmoidAlphaValueInput;
private:
  void cb_sigmoidAlphaValueInput_i(Fl_Value_Input*, void*);
  static void cb_sigmoidAlphaValueInput(Fl_Value_Input*, void*);
public:
  Fl_Value_Input *geodesicActiveContourIterationsValueInput;
private:
  void cb_geodesicActiveContourIterationsValueInput_i(Fl_Value_Input*, void*);
  static void cb_geodesicActiveContourIterationsValueInput(Fl_Value_Input*, void*);
public:
  Fl_Value_Input *fastMarchingStoppingValueInput;
private:
  void cb_fastMarchingStoppingValueInput_i(Fl_Value_Input*, void*);
  static void cb_fastMarchingStoppingValueInput(Fl_Value_Input*, void*);
public:
  Fl_Value_Input *geodesicActiveContourCurvatureScalingValueInput;
private:
  void cb_geodesicActiveContourCurvatureScalingValueInput_i(Fl_Value_Input*, void*);
  static void cb_geodesicActiveContourCurvatureScalingValueInput(Fl_Value_Input*, void*);
public:
  Fl_Value_Input *geodesicActiveContourPropagationScalingValueInput;
private:
  void cb_geodesicActiveContourPropagationScalingValueInput_i(Fl_Value_Input*, void*);
  static void cb_geodesicActiveContourPropagationScalingValueInput(Fl_Value_Input*, void*);
public:
  Fl_Value_Input *geodesicActiveContourAdvectionScalingValueInput;
private:
  void cb_geodesicActiveContourAdvectionScalingValueInput_i(Fl_Value_Input*, void*);
  static void cb_geodesicActiveContourAdvectionScalingValueInput(Fl_Value_Input*, void*);
public:
  Fl_Value_Input *geodesicActiveContourRMSErrorValueInput;
private:
  void cb_geodesicActiveContourRMSErrorValueInput_i(Fl_Value_Input*, void*);
  static void cb_geodesicActiveContourRMSErrorValueInput(Fl_Value_Input*, void*);
public:
  fltk::ProgressBar *progressSlider;
  Fl_Output *statusTextOutput;
private:
  void cb_Quit_i(Fl_Button*, void*);
  static void cb_Quit(Fl_Button*, void*);
  void cb_Load_i(Fl_Button*, void*);
  static void cb_Load(Fl_Button*, void*);
public:
  virtual ~GeodesicActiveContourGUI();
  virtual void Quit( void );
  virtual void Load( void );
  virtual void ShowAbout( void );
  virtual void ShowInputImage( void );
  virtual void ShowConsole( void );
  virtual void ShowThresholdedImage( void );
  virtual void UpdateExtract();
  virtual void ShowThresholdedImageWithVTK( void );
  virtual void ShowOutputLevelSet( void );
  virtual void ShowGradientMagnitudeImage( void );
  virtual void ShowEdgePotentialImage( void );
  virtual void ShowFastMarchingResultImage( void );
};
#endif
