// generated by Fast Light User Interface Designer (fluid) version 1.0110

#ifndef liImageRegistrationConsoleGUI_h
#define liImageRegistrationConsoleGUI_h
#include <FL/Fl.H>
#include <FL/Fl_Double_Window.H>
#include <liImageRegistrationConsoleBase.h>
#include <fltkLightButton.h>
#include <FL/Fl_Group.H>
#include <FL/Fl_Box.H>
#include <FL/Fl_Button.H>
#include <FL/Fl_Value_Input.H>
#include <FL/Fl_Choice.H>
#include <fltkProgressBar.h>
#include <FL/Fl_Output.H>

class liImageRegistrationConsoleGUI : public liImageRegistrationConsoleBase {
public:
  liImageRegistrationConsoleGUI();
  Fl_Double_Window *consoleWindow;
  Fl_Group *Connectors;
  Fl_Group *controlsGroup;
  fltk::LightButton *fixedImageButton;
private:
  void cb_fixedImageButton_i(fltk::LightButton*, void*);
  static void cb_fixedImageButton(fltk::LightButton*, void*);
  void cb_Quit_i(Fl_Button*, void*);
  static void cb_Quit(Fl_Button*, void*);
public:
  fltk::LightButton *movingImageButton;
private:
  void cb_movingImageButton_i(fltk::LightButton*, void*);
  static void cb_movingImageButton(fltk::LightButton*, void*);
  void cb_Resample_i(Fl_Button*, void*);
  static void cb_Resample(Fl_Button*, void*);
public:
  fltk::LightButton *registrationMethodButton;
private:
  void cb_Resample1_i(Fl_Button*, void*);
  static void cb_Resample1(Fl_Button*, void*);
public:
  fltk::LightButton *mappedMovingImageButton;
private:
  void cb_mappedMovingImageButton_i(fltk::LightButton*, void*);
  static void cb_mappedMovingImageButton(fltk::LightButton*, void*);
public:
  Fl_Group *rotationParameters;
  Fl_Value_Input *xRotation;
private:
  void cb_xRotation_i(Fl_Value_Input*, void*);
  static void cb_xRotation(Fl_Value_Input*, void*);
public:
  Fl_Value_Input *yRotation;
private:
  void cb_yRotation_i(Fl_Value_Input*, void*);
  static void cb_yRotation(Fl_Value_Input*, void*);
public:
  Fl_Value_Input *zRotation;
private:
  void cb_zRotation_i(Fl_Value_Input*, void*);
  static void cb_zRotation(Fl_Value_Input*, void*);
public:
  Fl_Value_Input *angleRotation;
private:
  void cb_angleRotation_i(Fl_Value_Input*, void*);
  static void cb_angleRotation(Fl_Value_Input*, void*);
public:
  Fl_Group *translationParameters;
  Fl_Value_Input *xTranslation;
private:
  void cb_xTranslation_i(Fl_Value_Input*, void*);
  static void cb_xTranslation(Fl_Value_Input*, void*);
public:
  Fl_Value_Input *yTranslation;
private:
  void cb_yTranslation_i(Fl_Value_Input*, void*);
  static void cb_yTranslation(Fl_Value_Input*, void*);
public:
  Fl_Value_Input *zTranslation;
private:
  void cb_zTranslation_i(Fl_Value_Input*, void*);
  static void cb_zTranslation(Fl_Value_Input*, void*);
  static Fl_Menu_Item menu_Metric[];
  void cb_Mean_i(Fl_Menu_*, void*);
  static void cb_Mean(Fl_Menu_*, void*);
  void cb_Normalized_i(Fl_Menu_*, void*);
  static void cb_Normalized(Fl_Menu_*, void*);
  void cb_Pattern_i(Fl_Menu_*, void*);
  static void cb_Pattern(Fl_Menu_*, void*);
  void cb_Mutual_i(Fl_Menu_*, void*);
  static void cb_Mutual(Fl_Menu_*, void*);
  static Fl_Menu_Item menu_Optimizer[];
  void cb_Gradient_i(Fl_Menu_*, void*);
  static void cb_Gradient(Fl_Menu_*, void*);
  void cb_Regular_i(Fl_Menu_*, void*);
  static void cb_Regular(Fl_Menu_*, void*);
  void cb_Conjugate_i(Fl_Menu_*, void*);
  static void cb_Conjugate(Fl_Menu_*, void*);
  void cb_Stop_i(Fl_Button*, void*);
  static void cb_Stop(Fl_Button*, void*);
public:
  fltk::LightButton *inputMovingImageButton;
private:
  void cb_inputMovingImageButton_i(fltk::LightButton*, void*);
  static void cb_inputMovingImageButton(fltk::LightButton*, void*);
  void cb_Start_i(Fl_Button*, void*);
  static void cb_Start(Fl_Button*, void*);
  static Fl_Menu_Item menu_Transform[];
  void cb_Translation_i(Fl_Menu_*, void*);
  static void cb_Translation(Fl_Menu_*, void*);
  void cb_Scale_i(Fl_Menu_*, void*);
  static void cb_Scale(Fl_Menu_*, void*);
  void cb_Rigid_i(Fl_Menu_*, void*);
  static void cb_Rigid(Fl_Menu_*, void*);
  void cb_Affine_i(Fl_Menu_*, void*);
  static void cb_Affine(Fl_Menu_*, void*);
  static Fl_Menu_Item menu_Interpolator[];
  void cb_Nearest_i(Fl_Menu_*, void*);
  static void cb_Nearest(Fl_Menu_*, void*);
  void cb_Linear_i(Fl_Menu_*, void*);
  static void cb_Linear(Fl_Menu_*, void*);
public:
  fltk::ProgressBar *progressSlider;
  Fl_Output *statusTextOutput;
  fltk::LightButton *loadFixedImageButton;
private:
  void cb_loadFixedImageButton_i(fltk::LightButton*, void*);
  static void cb_loadFixedImageButton(fltk::LightButton*, void*);
public:
  fltk::LightButton *loadMovingImageButton;
private:
  void cb_loadMovingImageButton_i(fltk::LightButton*, void*);
  static void cb_loadMovingImageButton(fltk::LightButton*, void*);
public:
  fltk::LightButton *saveMovingImageButton;
private:
  void cb_saveMovingImageButton_i(fltk::LightButton*, void*);
  static void cb_saveMovingImageButton(fltk::LightButton*, void*);
public:
  virtual ~liImageRegistrationConsoleGUI();
  virtual void Quit( void );
  virtual void Load( void );
  virtual void ShowAbout( void );
  virtual void ShowFixedImage( void );
  virtual void ShowMovingImage( void );
  virtual void ShowInputMovingImage( void );
  virtual void ShowMappedMovingImage( void );
};
#endif
