// generated by Fast Light User Interface Designer (fluid) version 1.0110

#ifndef LiverTumorSegmentationGUI_h
#define LiverTumorSegmentationGUI_h
#include <FL/Fl.H>
#include <FL/Fl_File_Chooser.H>
#include <FL/Fl_Help_Dialog.H>
#include <FL/Fl_Double_Window.H>
#include "LiverTumorSegmentationBase.h"
#include "vtkFlRenderWindowInteractor.h"
#include <FL/Fl_Value_Slider.H>
#include <FL/Fl_Menu_Bar.H>
#include <FL/Fl_Box.H>
#include <fltkProgressBar.h>
#include <FL/Fl_Button.H>
#include <FL/Fl_Group.H>
#include <FL/Fl_Input.H>
#include <FL/Fl_Roller.H>
#include <FL/Fl_Return_Button.H>
#include <FL/Fl_Browser.H>
#include <FL/Fl_Clock.H>
#include <FL/Fl_Text_Display.H>

class LiverTumorSegmentationGUI : public LiverTumorSegmentationBase {
public:
  LiverTumorSegmentationGUI();
  Fl_Double_Window *m_MainWindow;
  vtkFlRenderWindowInteractor *axialView;
  Fl_Value_Slider *axialViewSlider;
private:
  void cb_axialViewSlider_i(Fl_Value_Slider*, void*);
  static void cb_axialViewSlider(Fl_Value_Slider*, void*);
public:
  vtkFlRenderWindowInteractor *coronalView;
  Fl_Value_Slider *coronalViewSlider;
private:
  void cb_coronalViewSlider_i(Fl_Value_Slider*, void*);
  static void cb_coronalViewSlider(Fl_Value_Slider*, void*);
public:
  vtkFlRenderWindowInteractor *saggitalView;
  Fl_Value_Slider *saggitalViewSlider;
private:
  void cb_saggitalViewSlider_i(Fl_Value_Slider*, void*);
  static void cb_saggitalViewSlider(Fl_Value_Slider*, void*);
  static Fl_Menu_Item menu_[];
  void cb_Load_i(Fl_Menu_*, void*);
  static void cb_Load(Fl_Menu_*, void*);
  void cb_Load1_i(Fl_Menu_*, void*);
  static void cb_Load1(Fl_Menu_*, void*);
  void cb_Load2_i(Fl_Menu_*, void*);
  static void cb_Load2(Fl_Menu_*, void*);
  void cb_Write_i(Fl_Menu_*, void*);
  static void cb_Write(Fl_Menu_*, void*);
  void cb_Write1_i(Fl_Menu_*, void*);
  static void cb_Write1(Fl_Menu_*, void*);
  void cb_Quit_i(Fl_Menu_*, void*);
  static void cb_Quit(Fl_Menu_*, void*);
  void cb_Segmentation_i(Fl_Menu_*, void*);
  static void cb_Segmentation(Fl_Menu_*, void*);
  void cb_Shift_i(Fl_Menu_*, void*);
  static void cb_Shift(Fl_Menu_*, void*);
  void cb_How_i(Fl_Menu_*, void*);
  static void cb_How(Fl_Menu_*, void*);
  void cb_About_i(Fl_Menu_*, void*);
  static void cb_About(Fl_Menu_*, void*);
public:
  Fl_Box *m_MessageBar;
  fltk::ProgressBar *m_ProgressSlider;
private:
  void cb_Load3_i(Fl_Button*, void*);
  static void cb_Load3(Fl_Button*, void*);
  void cb_Segmentation1_i(Fl_Button*, void*);
  static void cb_Segmentation1(Fl_Button*, void*);
  void cb_Quit1_i(Fl_Button*, void*);
  static void cb_Quit1(Fl_Button*, void*);
public:
  Fl_Input *m_SeedX;
private:
  void cb_m_SeedX_i(Fl_Input*, void*);
  static void cb_m_SeedX(Fl_Input*, void*);
public:
  Fl_Input *m_SeedY;
private:
  void cb_m_SeedY_i(Fl_Input*, void*);
  static void cb_m_SeedY(Fl_Input*, void*);
public:
  Fl_Input *m_SeedZ;
private:
  void cb_m_SeedZ_i(Fl_Input*, void*);
  static void cb_m_SeedZ(Fl_Input*, void*);
public:
  vtkFlRenderWindowInteractor *volumeView;
  Fl_Roller *m_SegmentedVolumeOpacityControl;
private:
  void cb_m_SegmentedVolumeOpacityControl_i(Fl_Roller*, void*);
  static void cb_m_SegmentedVolumeOpacityControl(Fl_Roller*, void*);
public:
  Fl_Double_Window *m_SegmentationParametersWindow;
  Fl_Input *m_Parameter001;
  Fl_Input *m_Parameter002;
private:
  void cb_Ok_i(Fl_Return_Button*, void*);
  static void cb_Ok(Fl_Return_Button*, void*);
  void cb_Cancel_i(Fl_Button*, void*);
  static void cb_Cancel(Fl_Button*, void*);
public:
  Fl_Input *m_Parameter003;
  Fl_Input *m_Parameter004;
  Fl_Input *m_Parameter005;
  Fl_Input *m_Parameter006;
  Fl_Input *m_Parameter007;
  Fl_Input *m_Parameter101;
  Fl_Input *m_Parameter102;
  Fl_Input *m_Parameter103;
  Fl_Browser *m_Module;
private:
  void cb_m_Module_i(Fl_Browser*, void*);
  static void cb_m_Module(Fl_Browser*, void*);
public:
  Fl_Double_Window *m_ShiftAndScaleParameterWindow;
  Fl_Input *m_Shift;
  Fl_Input *m_Scale;
private:
  void cb_Ok1_i(Fl_Return_Button*, void*);
  static void cb_Ok1(Fl_Return_Button*, void*);
  void cb_Cancel1_i(Fl_Button*, void*);
  static void cb_Cancel1(Fl_Button*, void*);
public:
  Fl_Double_Window *m_AboutWindow;
private:
  void cb_m_AboutWindow_i(Fl_Double_Window*, void*);
  static void cb_m_AboutWindow(Fl_Double_Window*, void*);
  void cb_Dismiss_i(Fl_Button*, void*);
  static void cb_Dismiss(Fl_Button*, void*);
public:
  Fl_Text_Display *m_TextDisplay;
  virtual ~LiverTumorSegmentationGUI();
  virtual void Quit();
  virtual void Load();
  virtual void Show();
  virtual void Hide();
  virtual void SelectAxialSlice( int );
  virtual void SelectCoronalSlice( int );
  virtual void SelectSaggitalSlice( int );
  virtual void LoadDICOM();
  virtual void OnSegmentation();
  virtual double GetImageScale(void);
  virtual void SetImageScale( double val);
  virtual double GetImageShift(void);
  virtual void SetImageShift( double val);
private:
  Fl_Text_Buffer m_TextBuffer; 
public:
  virtual float GetOverlayedVolumeOpacity();
  virtual bool SetOverlayedVolumeOpacity( const double val );
  virtual void LoadSegmentedVolume( void );
  virtual void OnDebugButton();
  virtual void OnSegmentationParameters(void);
  virtual void OnSegmentationParametersOk( int module );
  virtual void OnSegmentationModuleSelection(int module);
  virtual void OnOpacityControl( float opacity );
  virtual void SetSegmentedVolumeOpacityControlOn( double val );
  virtual void SetSegmentedVolumeOpacityControlOff( void );
};
#endif
