// python wrapper for vtkITKImageToImageFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkITKImageToImageFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkITKImageToImageFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageToImageFilterNew(char *); }

static PyObject *PyvtkITKImageToImageFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilter *op;

  const char    *temp20;
  op = (vtkITKImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKImageToImageFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKImageToImageFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkITKImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKImageToImageFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKImageToImageFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilter *op;

  vtkITKImageToImageFilter  *temp20;
  op = (vtkITKImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKImageToImageFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKImageToImageFilter_CastInputOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilter *op;

  op = (vtkITKImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKImageToImageFilter::CastInputOn();
      }
    else
      {
      op->CastInputOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKImageToImageFilter_CastInputOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilter *op;

  op = (vtkITKImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKImageToImageFilter::CastInputOff();
      }
    else
      {
      op->CastInputOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKImageToImageFilter_SetCastInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilter *op;

  int      temp0;
  op = (vtkITKImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKImageToImageFilter::SetCastInput(temp0);
      }
    else
      {
      op->SetCastInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKImageToImageFilter_GetCastInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilter *op;

  int      temp20;
  op = (vtkITKImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKImageToImageFilter::GetCastInput();
      }
    else
      {
      temp20 = op->GetCastInput();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKImageToImageFilter_SetReleaseDataBeforeUpdateFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilter *op;

  int      temp0;
  op = (vtkITKImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKImageToImageFilter::SetReleaseDataBeforeUpdateFlag(temp0);
      }
    else
      {
      op->SetReleaseDataBeforeUpdateFlag(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKImageToImageFilter_GetReleaseDataBeforeUpdateFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilter *op;

  int      temp20;
  op = (vtkITKImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKImageToImageFilter::GetReleaseDataBeforeUpdateFlag();
      }
    else
      {
      temp20 = op->GetReleaseDataBeforeUpdateFlag();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKImageToImageFilter_ReleaseDataBeforeUpdateFlagOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilter *op;

  op = (vtkITKImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKImageToImageFilter::ReleaseDataBeforeUpdateFlagOn();
      }
    else
      {
      op->ReleaseDataBeforeUpdateFlagOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKImageToImageFilter_ReleaseDataBeforeUpdateFlagOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilter *op;

  op = (vtkITKImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKImageToImageFilter::ReleaseDataBeforeUpdateFlagOff();
      }
    else
      {
      op->ReleaseDataBeforeUpdateFlagOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKImageToImageFilter_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilter *op;

  unsigned long     temp20;
  op = (vtkITKImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKImageToImageFilter::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKImageToImageFilter_Modified(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilter *op;

  op = (vtkITKImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKImageToImageFilter::Modified();
      }
    else
      {
      op->Modified();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKImageToImageFilter_DebugOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilter *op;

  op = (vtkITKImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKImageToImageFilter::DebugOn();
      }
    else
      {
      op->DebugOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKImageToImageFilter_DebugOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilter *op;

  op = (vtkITKImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKImageToImageFilter::DebugOff();
      }
    else
      {
      op->DebugOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKImageToImageFilter_SetNumberOfThreads(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilter *op;

  int      temp0;
  op = (vtkITKImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKImageToImageFilter::SetNumberOfThreads(temp0);
      }
    else
      {
      op->SetNumberOfThreads(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKImageToImageFilter_GetNumberOfThreads(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilter *op;

  int      temp20;
  op = (vtkITKImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKImageToImageFilter::GetNumberOfThreads();
      }
    else
      {
      temp20 = op->GetNumberOfThreads();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKImageToImageFilter_SetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilter *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  op = (vtkITKImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkITKImageToImageFilter::SetOutput(temp0);
      }
    else
      {
      op->SetOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkITKImageToImageFilter_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilter *op;

  vtkImageData  *temp20;
  op = (vtkITKImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKImageToImageFilter::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkITKImageToImageFilter *op;

  int      temp0;
  vtkImageData  *temp20;
  PyErr_Clear();
  op = (vtkITKImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKImageToImageFilter::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKImageToImageFilter_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilter *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  op = (vtkITKImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkITKImageToImageFilter::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkITKImageToImageFilter_SetReleaseDataFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilter *op;

  int      temp0;
  op = (vtkITKImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKImageToImageFilter::SetReleaseDataFlag(temp0);
      }
    else
      {
      op->SetReleaseDataFlag(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKImageToImageFilter_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilter *op;

  op = (vtkITKImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKImageToImageFilter::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKImageToImageFilter_UpdateWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilter *op;

  op = (vtkITKImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKImageToImageFilter::UpdateWholeExtent();
      }
    else
      {
      op->UpdateWholeExtent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkITKImageToImageFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkITKImageToImageFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkITKImageToImageFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkITKImageToImageFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkITKImageToImageFilter\nC++: vtkITKImageToImageFilter *NewInstance ();\n\n"},
  {(char*)"CastInputOn",                (PyCFunction)PyvtkITKImageToImageFilter_CastInputOn, 1,
   (char*)"V.CastInputOn()\nC++: void CastInputOn ();\n\n vtkITK filters typically cast their input to pixel type\n consistent with the particular instantiation of the ITK filter.\n If we know the types are going to be consistent, we can save\n memory by skipping the cast. Default is to cast.\n"},
  {(char*)"CastInputOff",                (PyCFunction)PyvtkITKImageToImageFilter_CastInputOff, 1,
   (char*)"V.CastInputOff()\nC++: void CastInputOff ();\n\n vtkITK filters typically cast their input to pixel type\n consistent with the particular instantiation of the ITK filter.\n If we know the types are going to be consistent, we can save\n memory by skipping the cast. Default is to cast.\n"},
  {(char*)"SetCastInput",                (PyCFunction)PyvtkITKImageToImageFilter_SetCastInput, 1,
   (char*)"V.SetCastInput(int)\nC++: void SetCastInput (int );\n\n vtkITK filters typically cast their input to pixel type\n consistent with the particular instantiation of the ITK filter.\n If we know the types are going to be consistent, we can save\n memory by skipping the cast. Default is to cast.\n"},
  {(char*)"GetCastInput",                (PyCFunction)PyvtkITKImageToImageFilter_GetCastInput, 1,
   (char*)"V.GetCastInput() -> int\nC++: int GetCastInput ();\n\n vtkITK filters typically cast their input to pixel type\n consistent with the particular instantiation of the ITK filter.\n If we know the types are going to be consistent, we can save\n memory by skipping the cast. Default is to cast.\n"},
  {(char*)"SetReleaseDataBeforeUpdateFlag",                (PyCFunction)PyvtkITKImageToImageFilter_SetReleaseDataBeforeUpdateFlag, 1,
   (char*)"V.SetReleaseDataBeforeUpdateFlag(int)\nC++: virtual void SetReleaseDataBeforeUpdateFlag (int );\n\n vtkITK filters can be told to release their bulk output data\n during a pipeline update.  Setting the\n ReleaseDataBeforeUpdateFlag can minimize peak memory utilization\n during a pipeline update.\n"},
  {(char*)"GetReleaseDataBeforeUpdateFlag",                (PyCFunction)PyvtkITKImageToImageFilter_GetReleaseDataBeforeUpdateFlag, 1,
   (char*)"V.GetReleaseDataBeforeUpdateFlag() -> int\nC++: virtual int GetReleaseDataBeforeUpdateFlag ();return \n\n vtkITK filters can be told to release their bulk output data\n during a pipeline update.  Setting the\n ReleaseDataBeforeUpdateFlag can minimize peak memory utilization\n during a pipeline update.\n"},
  {(char*)"ReleaseDataBeforeUpdateFlagOn",                (PyCFunction)PyvtkITKImageToImageFilter_ReleaseDataBeforeUpdateFlagOn, 1,
   (char*)"V.ReleaseDataBeforeUpdateFlagOn()\nC++: void ReleaseDataBeforeUpdateFlagOn ();\n\n vtkITK filters can be told to release their bulk output data\n during a pipeline update.  Setting the\n ReleaseDataBeforeUpdateFlag can minimize peak memory utilization\n during a pipeline update.\n"},
  {(char*)"ReleaseDataBeforeUpdateFlagOff",                (PyCFunction)PyvtkITKImageToImageFilter_ReleaseDataBeforeUpdateFlagOff, 1,
   (char*)"V.ReleaseDataBeforeUpdateFlagOff()\nC++: void ReleaseDataBeforeUpdateFlagOff ();\n\n vtkITK filters can be told to release their bulk output data\n during a pipeline update.  Setting the\n ReleaseDataBeforeUpdateFlag can minimize peak memory utilization\n during a pipeline update.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkITKImageToImageFilter_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();unsigned long t1 t2 t1 this Superclass GetMTime t2 this vtkExporter GetMTime if t2 t1 t1 t2 t2 this vtkImporter GetMTime if t2 t1 t1 t2 return t1 \n\n"},
  {(char*)"Modified",                (PyCFunction)PyvtkITKImageToImageFilter_Modified, 1,
   (char*)"V.Modified()\nC++: void Modified ();this Superclass Modified if this m_Process m_Process Modified \n\n Pass modified message to itk filter\n"},
  {(char*)"DebugOn",                (PyCFunction)PyvtkITKImageToImageFilter_DebugOn, 1,
   (char*)"V.DebugOn()\nC++: void DebugOn ();this m_Process DebugOn \n\n Pass DebugOn.\n"},
  {(char*)"DebugOff",                (PyCFunction)PyvtkITKImageToImageFilter_DebugOff, 1,
   (char*)"V.DebugOff()\nC++: void DebugOff ();this m_Process DebugOff \n\n Pass DebugOff.\n"},
  {(char*)"SetNumberOfThreads",                (PyCFunction)PyvtkITKImageToImageFilter_SetNumberOfThreads, 1,
   (char*)"V.SetNumberOfThreads(int)\nC++: void SetNumberOfThreads (int val);this m_Process SetNumberOfThreads val \n\n Pass SetNumberOfThreads.\n"},
  {(char*)"GetNumberOfThreads",                (PyCFunction)PyvtkITKImageToImageFilter_GetNumberOfThreads, 1,
   (char*)"V.GetNumberOfThreads() -> int\nC++: int GetNumberOfThreads ();return this m_Process GetNumberOfThreads \n\n Pass SetNumberOfThreads.\n"},
  {(char*)"SetOutput",                (PyCFunction)PyvtkITKImageToImageFilter_SetOutput, 1,
   (char*)"V.SetOutput(vtkImageData)\nC++: void SetOutput (vtkImageData *d);if d this vtkImporter GetOutput return this vtkImporter GetExecutive SetOutputData d this vtkImporter Modified this vtkImporter SetOutput d \n\n This method returns the cache to make a connection\n It justs feeds the request to the sub filter.\n Ask the executive to setup the new output.\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkITKImageToImageFilter_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkImageData\nC++: virtual vtkImageData *GetOutput ();return this vtkImporter GetOutput \nV.GetOutput(int) -> vtkImageData\nC++: virtual vtkImageData *GetOutput (int idx);return vtkImageData this vtkImporter GetOutput idx \n\n This method returns the cache to make a connection\n It justs feeds the request to the sub filter.\n Ask the executive to setup the new output.\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkITKImageToImageFilter_SetInput, 1,
   (char*)"V.SetInput(vtkImageData)\nC++: virtual void SetInput (vtkImageData *Input);this vtkCast SetInput Input \n\n Set the Input of the filter.\n"},
  {(char*)"SetReleaseDataFlag",                (PyCFunction)PyvtkITKImageToImageFilter_SetReleaseDataFlag, 1,
   (char*)"V.SetReleaseDataFlag(int)\nC++: virtual void SetReleaseDataFlag (int f);this vtkCast SetReleaseDataFlag f \n\n this class's GetOutput(). vtkSource's GetOutput is not virtual.\n"},
  {(char*)"Update",                (PyCFunction)PyvtkITKImageToImageFilter_Update, 1,
   (char*)"V.Update()\nC++: void Update ();if this CastInput this vtkExporter SetInput this vtkCast GetOutput else this vtkExporter SetInput static_cast vtkImageData this vtkCast GetInput if this GetOutput this GetOutput Update if this GetOutput GetSource \n\n this class's GetOutput(). vtkSource's GetOutput is not virtual.\n"},
  {(char*)"UpdateWholeExtent",                (PyCFunction)PyvtkITKImageToImageFilter_UpdateWholeExtent, 1,
   (char*)"V.UpdateWholeExtent()\nC++: void UpdateWholeExtent ();if this CastInput this vtkExporter SetInput this vtkCast GetOutput else this vtkExporter SetInput static_cast vtkImageData this vtkCast GetInput if this GetOutput this GetOutput GetSource UpdateWholeExtent \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkITKImageToImageFilterDoc[] = {
  (char*)"vtkITKImageToImageFilter - Abstract base class for connecting ITK and VTK\n\n",
  "Super Class:\n\n vtkImageToImageFilter\n\n",
  (char*)" vtkITKImageToImageFilter provides a foo\n\n",
  NULL
};

PyObject *PyVTKClass_vtkITKImageToImageFilterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkITKImageToImageFilterMethods,
                        (char*)"vtkITKImageToImageFilter",modulename,
                        (char**)vtkITKImageToImageFilterDoc,
                        PyVTKClass_vtkImageToImageFilterNew(modulename));
}

