// python wrapper for vtkITKMutualInformationTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkITKMutualInformationTransform.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkITKMutualInformationTransformNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkITKMutualInformationTransformNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkLinearTransformNew(char *); }

static PyObject *PyvtkITKMutualInformationTransform_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  const char    *temp20;
  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKMutualInformationTransform::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  char    *temp0;
  int      temp20;
  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKMutualInformationTransform::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  vtkITKMutualInformationTransform  *temp20;
  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKMutualInformationTransform::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkITKMutualInformationTransform  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkITKMutualInformationTransform::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_SetSourceImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkITKMutualInformationTransform::SetSourceImage(temp0);
      }
    else
      {
      op->SetSourceImage(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_SetTargetImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkITKMutualInformationTransform::SetTargetImage(temp0);
      }
    else
      {
      op->SetTargetImage(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_GetSourceImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  vtkImageData  *temp20;
  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKMutualInformationTransform::GetSourceImage();
      }
    else
      {
      temp20 = op->GetSourceImage();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_GetTargetImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  vtkImageData  *temp20;
  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKMutualInformationTransform::GetTargetImage();
      }
    else
      {
      temp20 = op->GetTargetImage();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_SetLearningRate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  double   temp0;
  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKMutualInformationTransform::SetLearningRate(temp0);
      }
    else
      {
      op->SetLearningRate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_GetLearningRate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  double   temp20;
  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKMutualInformationTransform::GetLearningRate();
      }
    else
      {
      temp20 = op->GetLearningRate();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_SetSourceStandardDeviation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  double   temp0;
  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKMutualInformationTransform::SetSourceStandardDeviation(temp0);
      }
    else
      {
      op->SetSourceStandardDeviation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_GetSourceStandardDeviation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  double   temp20;
  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKMutualInformationTransform::GetSourceStandardDeviation();
      }
    else
      {
      temp20 = op->GetSourceStandardDeviation();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_SetTargetStandardDeviation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  double   temp0;
  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKMutualInformationTransform::SetTargetStandardDeviation(temp0);
      }
    else
      {
      op->SetTargetStandardDeviation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_GetTargetStandardDeviation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  double   temp20;
  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKMutualInformationTransform::GetTargetStandardDeviation();
      }
    else
      {
      temp20 = op->GetTargetStandardDeviation();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_SetFixedImageExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKMutualInformationTransform::SetFixedImageExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetFixedImageExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_SetNumberOfHistogramBins(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  int      temp0;
  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKMutualInformationTransform::SetNumberOfHistogramBins(temp0);
      }
    else
      {
      op->SetNumberOfHistogramBins(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_GetNumberOfHistogramBins(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  int      temp20;
  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKMutualInformationTransform::GetNumberOfHistogramBins();
      }
    else
      {
      temp20 = op->GetNumberOfHistogramBins();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_SetMaximumStepLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  float    temp0;
  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKMutualInformationTransform::SetMaximumStepLength(temp0);
      }
    else
      {
      op->SetMaximumStepLength(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_GetMaximumStepLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  float    temp20;
  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKMutualInformationTransform::GetMaximumStepLength();
      }
    else
      {
      temp20 = op->GetMaximumStepLength();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_SetMinimumStepLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  float    temp0;
  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKMutualInformationTransform::SetMinimumStepLength(temp0);
      }
    else
      {
      op->SetMinimumStepLength(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_GetMinimumStepLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  float    temp20;
  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKMutualInformationTransform::GetMinimumStepLength();
      }
    else
      {
      temp20 = op->GetMinimumStepLength();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_MattesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKMutualInformationTransform::MattesOn();
      }
    else
      {
      op->MattesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_MattesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKMutualInformationTransform::MattesOff();
      }
    else
      {
      op->MattesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_GetMattes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  bool   temp20;
  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKMutualInformationTransform::GetMattes();
      }
    else
      {
      temp20 = op->GetMattes();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_ViolaWellsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKMutualInformationTransform::ViolaWellsOn();
      }
    else
      {
      op->ViolaWellsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_ViolaWellsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKMutualInformationTransform::ViolaWellsOff();
      }
    else
      {
      op->ViolaWellsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_GetViolaWells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  bool   temp20;
  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKMutualInformationTransform::GetViolaWells();
      }
    else
      {
      temp20 = op->GetViolaWells();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_SetModeToAffine(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKMutualInformationTransform::SetModeToAffine();
      }
    else
      {
      op->SetModeToAffine();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_SetModeToQuaternionRigid(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKMutualInformationTransform::SetModeToQuaternionRigid();
      }
    else
      {
      op->SetModeToQuaternionRigid();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_SetNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  int      temp0;
  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKMutualInformationTransform::SetNumberOfIterations(temp0);
      }
    else
      {
      op->SetNumberOfIterations(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_GetNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  int      temp20;
  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKMutualInformationTransform::GetNumberOfIterations();
      }
    else
      {
      temp20 = op->GetNumberOfIterations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_SetNumberOfSamples(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  int      temp0;
  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKMutualInformationTransform::SetNumberOfSamples(temp0);
      }
    else
      {
      op->SetNumberOfSamples(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_GetNumberOfSamples(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  int      temp20;
  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKMutualInformationTransform::GetNumberOfSamples();
      }
    else
      {
      temp20 = op->GetNumberOfSamples();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_SetTranslateScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  double   temp0;
  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKMutualInformationTransform::SetTranslateScale(temp0);
      }
    else
      {
      op->SetTranslateScale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_GetTranslateScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  double   temp20;
  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKMutualInformationTransform::GetTranslateScale();
      }
    else
      {
      temp20 = op->GetTranslateScale();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_Inverse(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKMutualInformationTransform::Inverse();
      }
    else
      {
      op->Inverse();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_Identity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKMutualInformationTransform::Identity();
      }
    else
      {
      op->Identity();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  vtkLinearTransform  *temp0;
  PyObject *tempH0;
  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkLinearTransform *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkLinearTransform");
    if (!temp0 && tempH0 != Py_None) goto break37;
    if (PyVTKClass_Check(self))
      {
      op->vtkITKMutualInformationTransform::Initialize(temp0);
      }
    else
      {
      op->Initialize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break37:
  return NULL;
}


static PyObject *PyvtkITKMutualInformationTransform_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKMutualInformationTransform *op;

  unsigned long     temp20;
  op = (vtkITKMutualInformationTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKMutualInformationTransform::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkITKMutualInformationTransformMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkITKMutualInformationTransform_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkITKMutualInformationTransform_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkITKMutualInformationTransform_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkITKMutualInformationTransform\nC++: vtkITKMutualInformationTransform *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkITKMutualInformationTransform_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkITKMutualInformationTransform\nC++: vtkITKMutualInformationTransform *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetSourceImage",                (PyCFunction)PyvtkITKMutualInformationTransform_SetSourceImage, 1,
   (char*)"V.SetSourceImage(vtkImageData)\nC++: void SetSourceImage (vtkImageData *source);\n\n Specify the source and target images. The two images must have\n the same scalar type.\n Otherwise, the images can differ in scaling, resolution, etc.\n"},
  {(char*)"SetTargetImage",                (PyCFunction)PyvtkITKMutualInformationTransform_SetTargetImage, 1,
   (char*)"V.SetTargetImage(vtkImageData)\nC++: void SetTargetImage (vtkImageData *target);\n\n Specify the source and target images. The two images must have\n the same scalar type.\n Otherwise, the images can differ in scaling, resolution, etc.\n"},
  {(char*)"GetSourceImage",                (PyCFunction)PyvtkITKMutualInformationTransform_GetSourceImage, 1,
   (char*)"V.GetSourceImage() -> vtkImageData\nC++: vtkImageData *GetSourceImage ();\n\n Specify the source and target images. The two images must have\n the same scalar type.\n Otherwise, the images can differ in scaling, resolution, etc.\n"},
  {(char*)"GetTargetImage",                (PyCFunction)PyvtkITKMutualInformationTransform_GetTargetImage, 1,
   (char*)"V.GetTargetImage() -> vtkImageData\nC++: vtkImageData *GetTargetImage ();\n\n Specify the source and target images. The two images must have\n the same scalar type.\n Otherwise, the images can differ in scaling, resolution, etc.\n"},
  {(char*)"SetLearningRate",                (PyCFunction)PyvtkITKMutualInformationTransform_SetLearningRate, 1,
   (char*)"V.SetLearningRate(float)\nC++: void SetLearningRate (double );\n\n Set the learning rate for the algorithm.\n"},
  {(char*)"GetLearningRate",                (PyCFunction)PyvtkITKMutualInformationTransform_GetLearningRate, 1,
   (char*)"V.GetLearningRate() -> float\nC++: double GetLearningRate ();\n\n Set the learning rate for the algorithm.\n"},
  {(char*)"SetSourceStandardDeviation",                (PyCFunction)PyvtkITKMutualInformationTransform_SetSourceStandardDeviation, 1,
   (char*)"V.SetSourceStandardDeviation(float)\nC++: void SetSourceStandardDeviation (double );\n\n Set the standard deviations of the parzen window density estimators.\n"},
  {(char*)"GetSourceStandardDeviation",                (PyCFunction)PyvtkITKMutualInformationTransform_GetSourceStandardDeviation, 1,
   (char*)"V.GetSourceStandardDeviation() -> float\nC++: double GetSourceStandardDeviation ();\n\n Set the standard deviations of the parzen window density estimators.\n"},
  {(char*)"SetTargetStandardDeviation",                (PyCFunction)PyvtkITKMutualInformationTransform_SetTargetStandardDeviation, 1,
   (char*)"V.SetTargetStandardDeviation(float)\nC++: void SetTargetStandardDeviation (double );\n\n Set the standard deviations of the parzen window density estimators.\n"},
  {(char*)"GetTargetStandardDeviation",                (PyCFunction)PyvtkITKMutualInformationTransform_GetTargetStandardDeviation, 1,
   (char*)"V.GetTargetStandardDeviation() -> float\nC++: double GetTargetStandardDeviation ();\n\n Set the standard deviations of the parzen window density estimators.\n"},
  {(char*)"SetFixedImageExtent",                (PyCFunction)PyvtkITKMutualInformationTransform_SetFixedImageExtent, 1,
   (char*)"V.SetFixedImageExtent(int, int, int, int, int, int)\nC++: void SetFixedImageExtent (int xMin, int xMax, int yMin, int yMax, int zMin, int zMax);\n\n Set/Get the extent over which the metric will be computed\n"},
  {(char*)"SetNumberOfHistogramBins",                (PyCFunction)PyvtkITKMutualInformationTransform_SetNumberOfHistogramBins, 1,
   (char*)"V.SetNumberOfHistogramBins(int)\nC++: void SetNumberOfHistogramBins (int numBins);NumberOfHistogramBins numBins \n\n Set/Get the number of histogram bins\n"},
  {(char*)"GetNumberOfHistogramBins",                (PyCFunction)PyvtkITKMutualInformationTransform_GetNumberOfHistogramBins, 1,
   (char*)"V.GetNumberOfHistogramBins() -> int\nC++: int GetNumberOfHistogramBins ();return NumberOfHistogramBins \n\n Set/Get maximum step length\n"},
  {(char*)"SetMaximumStepLength",                (PyCFunction)PyvtkITKMutualInformationTransform_SetMaximumStepLength, 1,
   (char*)"V.SetMaximumStepLength(float)\nC++: void SetMaximumStepLength (float maxStepLength);MaximumStepLength maxStepLength \n\n Set/Get maximum step length\n"},
  {(char*)"GetMaximumStepLength",                (PyCFunction)PyvtkITKMutualInformationTransform_GetMaximumStepLength, 1,
   (char*)"V.GetMaximumStepLength() -> float\nC++: float GetMaximumStepLength ();return MaximumStepLength \n\n Set/Get minimum step length\n"},
  {(char*)"SetMinimumStepLength",                (PyCFunction)PyvtkITKMutualInformationTransform_SetMinimumStepLength, 1,
   (char*)"V.SetMinimumStepLength(float)\nC++: void SetMinimumStepLength (float minStepLength);MinimumStepLength minStepLength \n\n Set/Get minimum step length\n"},
  {(char*)"GetMinimumStepLength",                (PyCFunction)PyvtkITKMutualInformationTransform_GetMinimumStepLength, 1,
   (char*)"V.GetMinimumStepLength() -> float\nC++: float GetMinimumStepLength ();return MinimumStepLength \n\n Set/Unset/Get use of Mattes Mutual Information \n"},
  {(char*)"MattesOn",                (PyCFunction)PyvtkITKMutualInformationTransform_MattesOn, 1,
   (char*)"V.MattesOn()\nC++: void MattesOn ();UseMattes true UseViolaWells false \n\n Set/Unset/Get use of Mattes Mutual Information \n"},
  {(char*)"MattesOff",                (PyCFunction)PyvtkITKMutualInformationTransform_MattesOff, 1,
   (char*)"V.MattesOff()\nC++: void MattesOff ();UseMattes false UseViolaWells true \n\n Set/Unset/Get use of Mattes Mutual Information \n"},
  {(char*)"GetMattes",                (PyCFunction)PyvtkITKMutualInformationTransform_GetMattes, 1,
   (char*)"V.GetMattes() -> bool\nC++: bool GetMattes ();return UseMattes \n\n Set/Unset/Get use of Viola-Wells Mutual Information \n"},
  {(char*)"ViolaWellsOn",                (PyCFunction)PyvtkITKMutualInformationTransform_ViolaWellsOn, 1,
   (char*)"V.ViolaWellsOn()\nC++: void ViolaWellsOn ();UseViolaWells true UseMattes false \n\n Set/Unset/Get use of Viola-Wells Mutual Information \n"},
  {(char*)"ViolaWellsOff",                (PyCFunction)PyvtkITKMutualInformationTransform_ViolaWellsOff, 1,
   (char*)"V.ViolaWellsOff()\nC++: void ViolaWellsOff ();UseViolaWells false UseMattes true \n\n Set/Unset/Get use of Viola-Wells Mutual Information \n"},
  {(char*)"GetViolaWells",                (PyCFunction)PyvtkITKMutualInformationTransform_GetViolaWells, 1,
   (char*)"V.GetViolaWells() -> bool\nC++: bool GetViolaWells ();return UseViolaWells \n\n Set the transform to Affine\n"},
  {(char*)"SetModeToAffine",                (PyCFunction)PyvtkITKMutualInformationTransform_SetModeToAffine, 1,
   (char*)"V.SetModeToAffine()\nC++: void SetModeToAffine ();AffineMode true QuaternionRigidMode false \n\n Set the transform to Quaternion Rigid\n"},
  {(char*)"SetModeToQuaternionRigid",                (PyCFunction)PyvtkITKMutualInformationTransform_SetModeToQuaternionRigid, 1,
   (char*)"V.SetModeToQuaternionRigid()\nC++: void SetModeToQuaternionRigid ();QuaternionRigidMode true AffineMode false \n\n Set the number of iterations\n"},
  {(char*)"SetNumberOfIterations",                (PyCFunction)PyvtkITKMutualInformationTransform_SetNumberOfIterations, 1,
   (char*)"V.SetNumberOfIterations(int)\nC++: void SetNumberOfIterations (int );\n\n Set the number of iterations\n"},
  {(char*)"GetNumberOfIterations",                (PyCFunction)PyvtkITKMutualInformationTransform_GetNumberOfIterations, 1,
   (char*)"V.GetNumberOfIterations() -> int\nC++: int GetNumberOfIterations ();\n\n Set the number of iterations\n"},
  {(char*)"SetNumberOfSamples",                (PyCFunction)PyvtkITKMutualInformationTransform_SetNumberOfSamples, 1,
   (char*)"V.SetNumberOfSamples(int)\nC++: void SetNumberOfSamples (int );\n\n Set the number of sample points for density estimation\n"},
  {(char*)"GetNumberOfSamples",                (PyCFunction)PyvtkITKMutualInformationTransform_GetNumberOfSamples, 1,
   (char*)"V.GetNumberOfSamples() -> int\nC++: int GetNumberOfSamples ();\n\n Set the number of sample points for density estimation\n"},
  {(char*)"SetTranslateScale",                (PyCFunction)PyvtkITKMutualInformationTransform_SetTranslateScale, 1,
   (char*)"V.SetTranslateScale(float)\nC++: void SetTranslateScale (double );\n\n Set the translation scale factor.\n"},
  {(char*)"GetTranslateScale",                (PyCFunction)PyvtkITKMutualInformationTransform_GetTranslateScale, 1,
   (char*)"V.GetTranslateScale() -> float\nC++: double GetTranslateScale ();\n\n Set the translation scale factor.\n"},
  {(char*)"Inverse",                (PyCFunction)PyvtkITKMutualInformationTransform_Inverse, 1,
   (char*)"V.Inverse()\nC++: void Inverse ();\n\n Invert the transformation.  This is done by switching the\n source and target images.\n"},
  {(char*)"Identity",                (PyCFunction)PyvtkITKMutualInformationTransform_Identity, 1,
   (char*)"V.Identity()\nC++: void Identity ();\n\n Set the transformation to the Identity matrix.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkITKMutualInformationTransform_Initialize, 1,
   (char*)"V.Initialize(vtkLinearTransform)\nC++: void Initialize (vtkLinearTransform *);\n\n Initialize the transformation to a linear transform.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkITKMutualInformationTransform_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Get the MTime.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkITKMutualInformationTransformDoc[] = {
  (char*)"vtkITKMutualInformationTransform - a linear transform specified by two images\n\n",
  "Super Class:\n\n vtkLinearTransform\n\n",
  "See Also:\n\n vtkLinearTransform\n\n",
  NULL
};

static vtkObjectBase *vtkITKMutualInformationTransformStaticNew()
{
  return vtkITKMutualInformationTransform::New();
}

PyObject *PyVTKClass_vtkITKMutualInformationTransformNew(char *modulename)
{
  return PyVTKClass_New(&vtkITKMutualInformationTransformStaticNew,
                        PyvtkITKMutualInformationTransformMethods,
                        (char*)"vtkITKMutualInformationTransform",modulename,
                        (char**)vtkITKMutualInformationTransformDoc,
                        PyVTKClass_vtkLinearTransformNew(modulename));
}

