// tcl wrapper for vtkITKMutualInformationTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkITKMutualInformationTransform.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkITKMutualInformationTransformNewCommand()
{
  vtkITKMutualInformationTransform *temp = vtkITKMutualInformationTransform::New();
  return static_cast<ClientData>(temp);
}

int vtkLinearTransformCppCommand(vtkLinearTransform *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkITKMutualInformationTransformCppCommand(vtkITKMutualInformationTransform *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkITKMutualInformationTransformCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkITKMutualInformationTransformCppCommand(static_cast<vtkITKMutualInformationTransform *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkITKMutualInformationTransformCppCommand(vtkITKMutualInformationTransform *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkITKMutualInformationTransform",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkLinearTransformCppCommand(static_cast<vtkLinearTransform *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkLinearTransform"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkITKMutualInformationTransform  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkITKMutualInformationTransform");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkITKMutualInformationTransform  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkITKMutualInformationTransform");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkITKMutualInformationTransform  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkITKMutualInformationTransform");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSourceImage",argv[1]))&&(argc == 3))
    {
    vtkImageData  *temp0;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageData"),interp,error));
    if (!error)
    {
    op->SetSourceImage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTargetImage",argv[1]))&&(argc == 3))
    {
    vtkImageData  *temp0;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageData"),interp,error));
    if (!error)
    {
    op->SetTargetImage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSourceImage",argv[1]))&&(argc == 2))
    {
    vtkImageData  *temp20;
    temp20 = (op)->GetSourceImage();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageData");
    return TCL_OK;
    }
  if ((!strcmp("GetTargetImage",argv[1]))&&(argc == 2))
    {
    vtkImageData  *temp20;
    temp20 = (op)->GetTargetImage();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageData");
    return TCL_OK;
    }
  if ((!strcmp("SetLearningRate",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLearningRate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLearningRate",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLearningRate();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSourceStandardDeviation",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSourceStandardDeviation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSourceStandardDeviation",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSourceStandardDeviation();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTargetStandardDeviation",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTargetStandardDeviation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTargetStandardDeviation",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTargetStandardDeviation();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFixedImageExtent",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->SetFixedImageExtent(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNumberOfHistogramBins",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfHistogramBins(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfHistogramBins",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfHistogramBins();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumStepLength",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumStepLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumStepLength",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMaximumStepLength();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimumStepLength",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMinimumStepLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinimumStepLength",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMinimumStepLength();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("MattesOn",argv[1]))&&(argc == 2))
    {
    op->MattesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MattesOff",argv[1]))&&(argc == 2))
    {
    op->MattesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetMattes",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetMattes();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ViolaWellsOn",argv[1]))&&(argc == 2))
    {
    op->ViolaWellsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ViolaWellsOff",argv[1]))&&(argc == 2))
    {
    op->ViolaWellsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetViolaWells",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetViolaWells();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetModeToAffine",argv[1]))&&(argc == 2))
    {
    op->SetModeToAffine();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetModeToQuaternionRigid",argv[1]))&&(argc == 2))
    {
    op->SetModeToQuaternionRigid();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfIterations",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfIterations(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfIterations",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfIterations();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfSamples",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfSamples(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfSamples",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfSamples();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTranslateScale",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTranslateScale(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTranslateScale",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTranslateScale();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Inverse",argv[1]))&&(argc == 2))
    {
    op->Inverse();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Identity",argv[1]))&&(argc == 2))
    {
    op->Identity();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 3))
    {
    vtkLinearTransform  *temp0;
    error = 0;

    temp0 = (vtkLinearTransform *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkLinearTransform"),interp,error));
    if (!error)
    {
    op->Initialize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkITKMutualInformationTransformCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkLinearTransformCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkITKMutualInformationTransform:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSourceImage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTargetImage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSourceImage\n",NULL);
    Tcl_AppendResult(interp,"  GetTargetImage\n",NULL);
    Tcl_AppendResult(interp,"  SetLearningRate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLearningRate\n",NULL);
    Tcl_AppendResult(interp,"  SetSourceStandardDeviation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSourceStandardDeviation\n",NULL);
    Tcl_AppendResult(interp,"  SetTargetStandardDeviation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTargetStandardDeviation\n",NULL);
    Tcl_AppendResult(interp,"  SetFixedImageExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfHistogramBins\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfHistogramBins\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumStepLength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumStepLength\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumStepLength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumStepLength\n",NULL);
    Tcl_AppendResult(interp,"  MattesOn\n",NULL);
    Tcl_AppendResult(interp,"  MattesOff\n",NULL);
    Tcl_AppendResult(interp,"  GetMattes\n",NULL);
    Tcl_AppendResult(interp,"  ViolaWellsOn\n",NULL);
    Tcl_AppendResult(interp,"  ViolaWellsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetViolaWells\n",NULL);
    Tcl_AppendResult(interp,"  SetModeToAffine\n",NULL);
    Tcl_AppendResult(interp,"  SetModeToQuaternionRigid\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfIterations\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfIterations\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfSamples\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfSamples\n",NULL);
    Tcl_AppendResult(interp,"  SetTranslateScale\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTranslateScale\n",NULL);
    Tcl_AppendResult(interp,"  Inverse\n",NULL);
    Tcl_AppendResult(interp,"  Identity\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkLinearTransformCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetSourceImage" );
    Tcl_DStringAppendElement ( &dString, "SetTargetImage" );
    Tcl_DStringAppendElement ( &dString, "GetSourceImage" );
    Tcl_DStringAppendElement ( &dString, "GetTargetImage" );
    Tcl_DStringAppendElement ( &dString, "SetLearningRate" );
    Tcl_DStringAppendElement ( &dString, "GetLearningRate" );
    Tcl_DStringAppendElement ( &dString, "SetSourceStandardDeviation" );
    Tcl_DStringAppendElement ( &dString, "GetSourceStandardDeviation" );
    Tcl_DStringAppendElement ( &dString, "SetTargetStandardDeviation" );
    Tcl_DStringAppendElement ( &dString, "GetTargetStandardDeviation" );
    Tcl_DStringAppendElement ( &dString, "SetFixedImageExtent" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfHistogramBins" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfHistogramBins" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumStepLength" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumStepLength" );
    Tcl_DStringAppendElement ( &dString, "SetMinimumStepLength" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumStepLength" );
    Tcl_DStringAppendElement ( &dString, "MattesOn" );
    Tcl_DStringAppendElement ( &dString, "MattesOff" );
    Tcl_DStringAppendElement ( &dString, "GetMattes" );
    Tcl_DStringAppendElement ( &dString, "ViolaWellsOn" );
    Tcl_DStringAppendElement ( &dString, "ViolaWellsOff" );
    Tcl_DStringAppendElement ( &dString, "GetViolaWells" );
    Tcl_DStringAppendElement ( &dString, "SetModeToAffine" );
    Tcl_DStringAppendElement ( &dString, "SetModeToQuaternionRigid" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfIterations" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfIterations" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfSamples" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSamples" );
    Tcl_DStringAppendElement ( &dString, "SetTranslateScale" );
    Tcl_DStringAppendElement ( &dString, "GetTranslateScale" );
    Tcl_DStringAppendElement ( &dString, "Inverse" );
    Tcl_DStringAppendElement ( &dString, "Identity" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkLinearTransformCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "typedef itk ImageRegion ImageExtentType static vtkITKMutualInformationTransform *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSourceImage */
    if ( strcmp ( argv[2], "SetSourceImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSourceImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSourceImage */
    Tcl_DStringAppendElement ( &dString, " Specify the source and target images. The two images must have\n the same scalar type.\n Otherwise, the images can differ in scaling, resolution, etc.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSourceImage (vtkImageData *source);" );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for SetSourceImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTargetImage */
    if ( strcmp ( argv[2], "SetTargetImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTargetImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTargetImage */
    Tcl_DStringAppendElement ( &dString, " Specify the source and target images. The two images must have\n the same scalar type.\n Otherwise, the images can differ in scaling, resolution, etc.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTargetImage (vtkImageData *target);" );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for SetTargetImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSourceImage */
    if ( strcmp ( argv[2], "GetSourceImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSourceImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSourceImage */
    Tcl_DStringAppendElement ( &dString, " Specify the source and target images. The two images must have\n the same scalar type.\n Otherwise, the images can differ in scaling, resolution, etc.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData *GetSourceImage ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for GetSourceImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTargetImage */
    if ( strcmp ( argv[2], "GetTargetImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTargetImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTargetImage */
    Tcl_DStringAppendElement ( &dString, " Specify the source and target images. The two images must have\n the same scalar type.\n Otherwise, the images can differ in scaling, resolution, etc.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData *GetTargetImage ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for GetTargetImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLearningRate */
    if ( strcmp ( argv[2], "SetLearningRate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLearningRate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLearningRate */
    Tcl_DStringAppendElement ( &dString, " Set the learning rate for the algorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLearningRate (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for SetLearningRate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLearningRate */
    if ( strcmp ( argv[2], "GetLearningRate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLearningRate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLearningRate */
    Tcl_DStringAppendElement ( &dString, " Set the learning rate for the algorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLearningRate ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for GetLearningRate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSourceStandardDeviation */
    if ( strcmp ( argv[2], "SetSourceStandardDeviation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSourceStandardDeviation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSourceStandardDeviation */
    Tcl_DStringAppendElement ( &dString, " Set the standard deviations of the parzen window density estimators.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSourceStandardDeviation (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for SetSourceStandardDeviation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSourceStandardDeviation */
    if ( strcmp ( argv[2], "GetSourceStandardDeviation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSourceStandardDeviation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSourceStandardDeviation */
    Tcl_DStringAppendElement ( &dString, " Set the standard deviations of the parzen window density estimators.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSourceStandardDeviation ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for GetSourceStandardDeviation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTargetStandardDeviation */
    if ( strcmp ( argv[2], "SetTargetStandardDeviation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTargetStandardDeviation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTargetStandardDeviation */
    Tcl_DStringAppendElement ( &dString, " Set the standard deviations of the parzen window density estimators.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTargetStandardDeviation (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for SetTargetStandardDeviation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTargetStandardDeviation */
    if ( strcmp ( argv[2], "GetTargetStandardDeviation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTargetStandardDeviation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTargetStandardDeviation */
    Tcl_DStringAppendElement ( &dString, " Set the standard deviations of the parzen window density estimators.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTargetStandardDeviation ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for GetTargetStandardDeviation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFixedImageExtent */
    if ( strcmp ( argv[2], "SetFixedImageExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFixedImageExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFixedImageExtent */
    Tcl_DStringAppendElement ( &dString, " Set/Get the extent over which the metric will be computed\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFixedImageExtent (int xMin, int xMax, int yMin, int yMax, int zMin, int zMax);" );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for SetFixedImageExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfHistogramBins */
    if ( strcmp ( argv[2], "SetNumberOfHistogramBins" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfHistogramBins" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfHistogramBins */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of histogram bins\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfHistogramBins (int numBins);NumberOfHistogramBins numBins " );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for SetNumberOfHistogramBins */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfHistogramBins */
    if ( strcmp ( argv[2], "GetNumberOfHistogramBins" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfHistogramBins" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfHistogramBins */
    Tcl_DStringAppendElement ( &dString, " Set/Get maximum step length\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfHistogramBins ();return NumberOfHistogramBins " );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for GetNumberOfHistogramBins */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumStepLength */
    if ( strcmp ( argv[2], "SetMaximumStepLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumStepLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumStepLength */
    Tcl_DStringAppendElement ( &dString, " Set/Get maximum step length\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumStepLength (float maxStepLength);MaximumStepLength maxStepLength " );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for SetMaximumStepLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumStepLength */
    if ( strcmp ( argv[2], "GetMaximumStepLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumStepLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumStepLength */
    Tcl_DStringAppendElement ( &dString, " Set/Get minimum step length\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMaximumStepLength ();return MaximumStepLength " );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for GetMaximumStepLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinimumStepLength */
    if ( strcmp ( argv[2], "SetMinimumStepLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimumStepLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimumStepLength */
    Tcl_DStringAppendElement ( &dString, " Set/Get minimum step length\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinimumStepLength (float minStepLength);MinimumStepLength minStepLength " );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for SetMinimumStepLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumStepLength */
    if ( strcmp ( argv[2], "GetMinimumStepLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumStepLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumStepLength */
    Tcl_DStringAppendElement ( &dString, " Set/Unset/Get use of Mattes Mutual Information \n" );
    Tcl_DStringAppendElement ( &dString, "float GetMinimumStepLength ();return MinimumStepLength " );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for GetMinimumStepLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MattesOn */
    if ( strcmp ( argv[2], "MattesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MattesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MattesOn */
    Tcl_DStringAppendElement ( &dString, " Set/Unset/Get use of Mattes Mutual Information \n" );
    Tcl_DStringAppendElement ( &dString, "void MattesOn ();UseMattes true UseViolaWells false " );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for MattesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MattesOff */
    if ( strcmp ( argv[2], "MattesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MattesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MattesOff */
    Tcl_DStringAppendElement ( &dString, " Set/Unset/Get use of Mattes Mutual Information \n" );
    Tcl_DStringAppendElement ( &dString, "void MattesOff ();UseMattes false UseViolaWells true " );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for MattesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMattes */
    if ( strcmp ( argv[2], "GetMattes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMattes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMattes */
    Tcl_DStringAppendElement ( &dString, " Set/Unset/Get use of Viola-Wells Mutual Information \n" );
    Tcl_DStringAppendElement ( &dString, "bool GetMattes ();return UseMattes " );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for GetMattes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ViolaWellsOn */
    if ( strcmp ( argv[2], "ViolaWellsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ViolaWellsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ViolaWellsOn */
    Tcl_DStringAppendElement ( &dString, " Set/Unset/Get use of Viola-Wells Mutual Information \n" );
    Tcl_DStringAppendElement ( &dString, "void ViolaWellsOn ();UseViolaWells true UseMattes false " );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for ViolaWellsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ViolaWellsOff */
    if ( strcmp ( argv[2], "ViolaWellsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ViolaWellsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ViolaWellsOff */
    Tcl_DStringAppendElement ( &dString, " Set/Unset/Get use of Viola-Wells Mutual Information \n" );
    Tcl_DStringAppendElement ( &dString, "void ViolaWellsOff ();UseViolaWells false UseMattes true " );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for ViolaWellsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetViolaWells */
    if ( strcmp ( argv[2], "GetViolaWells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetViolaWells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetViolaWells */
    Tcl_DStringAppendElement ( &dString, " Set the transform to Affine\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetViolaWells ();return UseViolaWells " );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for GetViolaWells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetModeToAffine */
    if ( strcmp ( argv[2], "SetModeToAffine" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetModeToAffine" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetModeToAffine */
    Tcl_DStringAppendElement ( &dString, " Set the transform to Quaternion Rigid\n" );
    Tcl_DStringAppendElement ( &dString, "void SetModeToAffine ();AffineMode true QuaternionRigidMode false " );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for SetModeToAffine */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetModeToQuaternionRigid */
    if ( strcmp ( argv[2], "SetModeToQuaternionRigid" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetModeToQuaternionRigid" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetModeToQuaternionRigid */
    Tcl_DStringAppendElement ( &dString, " Set the number of iterations\n" );
    Tcl_DStringAppendElement ( &dString, "void SetModeToQuaternionRigid ();QuaternionRigidMode true AffineMode false " );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for SetModeToQuaternionRigid */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfIterations */
    if ( strcmp ( argv[2], "SetNumberOfIterations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfIterations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfIterations */
    Tcl_DStringAppendElement ( &dString, " Set the number of iterations\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfIterations (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for SetNumberOfIterations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfIterations */
    if ( strcmp ( argv[2], "GetNumberOfIterations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfIterations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfIterations */
    Tcl_DStringAppendElement ( &dString, " Set the number of iterations\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfIterations ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for GetNumberOfIterations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfSamples */
    if ( strcmp ( argv[2], "SetNumberOfSamples" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfSamples" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfSamples */
    Tcl_DStringAppendElement ( &dString, " Set the number of sample points for density estimation\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfSamples (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for SetNumberOfSamples */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfSamples */
    if ( strcmp ( argv[2], "GetNumberOfSamples" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSamples" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfSamples */
    Tcl_DStringAppendElement ( &dString, " Set the number of sample points for density estimation\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfSamples ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for GetNumberOfSamples */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTranslateScale */
    if ( strcmp ( argv[2], "SetTranslateScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTranslateScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTranslateScale */
    Tcl_DStringAppendElement ( &dString, " Set the translation scale factor.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTranslateScale (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for SetTranslateScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTranslateScale */
    if ( strcmp ( argv[2], "GetTranslateScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTranslateScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTranslateScale */
    Tcl_DStringAppendElement ( &dString, " Set the translation scale factor.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTranslateScale ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for GetTranslateScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Inverse */
    if ( strcmp ( argv[2], "Inverse" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Inverse" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Inverse */
    Tcl_DStringAppendElement ( &dString, " Invert the transformation.  This is done by switching the\n source and target images.\n" );
    Tcl_DStringAppendElement ( &dString, "void Inverse ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for Inverse */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Identity */
    if ( strcmp ( argv[2], "Identity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Identity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Identity */
    Tcl_DStringAppendElement ( &dString, " Set the transformation to the Identity matrix.\n" );
    Tcl_DStringAppendElement ( &dString, "void Identity ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for Identity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkLinearTransform" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Initialize the transformation to a linear transform.\n" );
    Tcl_DStringAppendElement ( &dString, "void Initialize (vtkLinearTransform *);" );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Get the MTime.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKMutualInformationTransform" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkLinearTransformCppCommand(static_cast<vtkLinearTransform *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
