// python wrapper for vtkITKWatershedImageFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkITKWatershedImageFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkITKWatershedImageFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkITKWatershedImageFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterFULNew(char *); }

static PyObject *PyvtkITKWatershedImageFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKWatershedImageFilter *op;

  const char    *temp20;
  op = (vtkITKWatershedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKWatershedImageFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKWatershedImageFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKWatershedImageFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkITKWatershedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKWatershedImageFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKWatershedImageFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKWatershedImageFilter *op;

  vtkITKWatershedImageFilter  *temp20;
  op = (vtkITKWatershedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKWatershedImageFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKWatershedImageFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkITKWatershedImageFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkITKWatershedImageFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkITKWatershedImageFilter_SetThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKWatershedImageFilter *op;

  double   temp0;
  op = (vtkITKWatershedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKWatershedImageFilter::SetThreshold(temp0);
      }
    else
      {
      op->SetThreshold(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKWatershedImageFilter_GetThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKWatershedImageFilter *op;

  double   temp20;
  op = (vtkITKWatershedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKWatershedImageFilter::GetThreshold();
      }
    else
      {
      temp20 = op->GetThreshold();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKWatershedImageFilter_SetLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKWatershedImageFilter *op;

  double   temp0;
  op = (vtkITKWatershedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKWatershedImageFilter::SetLevel(temp0);
      }
    else
      {
      op->SetLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKWatershedImageFilter_GetLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKWatershedImageFilter *op;

  double   temp20;
  op = (vtkITKWatershedImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKWatershedImageFilter::GetLevel();
      }
    else
      {
      temp20 = op->GetLevel();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkITKWatershedImageFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkITKWatershedImageFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkITKWatershedImageFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkITKWatershedImageFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkITKWatershedImageFilter\nC++: vtkITKWatershedImageFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkITKWatershedImageFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkITKWatershedImageFilter\nC++: vtkITKWatershedImageFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetThreshold",                (PyCFunction)PyvtkITKWatershedImageFilter_SetThreshold, 1,
   (char*)"V.SetThreshold(float)\nC++: void SetThreshold (double d);DelegateSetMacro Threshold d \n\n"},
  {(char*)"GetThreshold",                (PyCFunction)PyvtkITKWatershedImageFilter_GetThreshold, 1,
   (char*)"V.GetThreshold() -> float\nC++: double GetThreshold ();DelegateGetMacro Threshold \n\n"},
  {(char*)"SetLevel",                (PyCFunction)PyvtkITKWatershedImageFilter_SetLevel, 1,
   (char*)"V.SetLevel(float)\nC++: void SetLevel (double d);DelegateSetMacro Level d \n\n"},
  {(char*)"GetLevel",                (PyCFunction)PyvtkITKWatershedImageFilter_GetLevel, 1,
   (char*)"V.GetLevel() -> float\nC++: double GetLevel ();DelegateGetMacro Level \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkITKWatershedImageFilterDoc[] = {
  (char*)"vtkITKWatershedImageFilter - Wrapper class around itk::WatershedImageFilterImageFilter\n\n",
  "Super Class:\n\n vtkITKImageToImageFilterFUL\n\n",
  (char*)" vtkITKWatershedImageFilter\n\n",
  NULL
};

static vtkObjectBase *vtkITKWatershedImageFilterStaticNew()
{
  return vtkITKWatershedImageFilter::New();
}

PyObject *PyVTKClass_vtkITKWatershedImageFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkITKWatershedImageFilterStaticNew,
                        PyvtkITKWatershedImageFilterMethods,
                        (char*)"vtkITKWatershedImageFilter",modulename,
                        (char**)vtkITKWatershedImageFilterDoc,
                        PyVTKClass_vtkITKImageToImageFilterFULNew(modulename));
}

